## fwupd-error fwupd-error |

## Functions

GQuark | fwupd_error_quark ()
const gchar * | fwupd_error_to_string ()
FwupdError | fwupd_error_from_string ()

## Types and Values

#define | FWUPD_ERROR
enum | FwupdError

## Description

## Functions

### fwupd_error_quark ()

    GQuark
    fwupd_error_quark (void);

#### Returns

An error quark.

Since: 0.1.1

### fwupd_error_to_string ()

    const gchar *
    fwupd_error_to_string (FwupdError error);

Converts a FwupdError to a string.

#### Parameters

error | A FwupdError, e.g. `FWUPD_ERROR_VERSION_NEWER` |

#### Returns

identifier string

Since: 0.7.0

### fwupd_error_from_string ()

    FwupdError
    fwupd_error_from_string (const gchar *error);

Converts a string to a FwupdError.

#### Parameters

error | A string, e.g. "org.freedesktop.fwupd.VersionNewer" |

#### Returns

enumerated value

Since: 0.7.0

## Types and Values

### FWUPD_ERROR

    #define FWUPD_ERROR			fwupd_error_quark()

### enum FwupdError

The error code.

#### Members

FWUPD_ERROR_INTERNAL | Internal error |
FWUPD_ERROR_VERSION_NEWER | Installed newer firmware version |
FWUPD_ERROR_VERSION_SAME | Installed same firmware version |
FWUPD_ERROR_ALREADY_PENDING | Already set be be installed offline |
FWUPD_ERROR_AUTH_FAILED | Failed to get authentication |
FWUPD_ERROR_READ | Failed to read from device |
FWUPD_ERROR_WRITE | Failed to write to the device |
FWUPD_ERROR_INVALID_FILE | Invalid file format |
FWUPD_ERROR_NOT_FOUND | No matching device exists |
FWUPD_ERROR_NOTHING_TO_DO | Nothing to do |
FWUPD_ERROR_NOT_SUPPORTED | Action was not possible |
FWUPD_ERROR_SIGNATURE_INVALID | Signature was invalid |
FWUPD_ERROR_AC_POWER_REQUIRED | AC power was required |